<!DOCTYPE html>
<html>
<head>
    <title>Login/Register - Electronic Medical Records</title>
    <link rel="stylesheet" href="app.css">
	<link rel="preconnect" href="https://fonts.gstatic.com">
	<link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300&display=swap" rel="stylesheet">
</head>
<body>
    <nav>
		<div class="nav-group">
			<a class="nav-item nav-item-lg" href="landing.html">EMR</a>
		</div>
	</nav>
	
	<div class="container">
		<div id="auth-container">
			<div class="tab-row">
				<div id="login-tab" class="tab-item choice-tab" onclick="chooseMode('login')">
					<h3>Login</h3>
				</div>
				<div id="register-tab" class="tab-item" onclick="chooseMode('register')">
					<h3>Register</h3>
				</div>
			</div>
			<p id="auth-err" class="error"></p>
			<form id="login-form" class="auth-form">
				<table style="margin:auto;font-size:1.2em">
					<tr>
						<td><label>Username</label></td>
						<td><input name="username" required /></td>
					</tr>
					<tr>
						<td><label>Password</label></td>
						<td><input name="password" type="password" required /></td>
					</tr>
				</table>
				<input type="submit" />
			</form>
			<form id="register-form" class="auth-form" style="padding:0px 60px" hidden>
				<p>Username must have at least 4 characters</p>
				<p>Password must have at least 6 characters and must contain at least 1 number and 1 letter</p>
				<table style="margin:auto;font-size:1.2em">
					<tr>
						<td><label>Username</label></td>
						<td><input name="username" required /></td>
					</tr>
					<tr>
						<td><label>Password</label></td>
						<td><input name="password" type="password" required /></td>
					</tr>
				</table>
				<p style="display:inline-block;font-size:1.2em">I am a: </p>
				<select name="role" id="role-select">
					<option value="patient">Patient</option>
					<option value="doctor">Doctor</option>
				</select>
				<br />
				<input type="submit" />
			</form>
			
		</div>
	</div>
    <script src="auth.js"></script>
</body>
</html>